Class: Aws::IAM::Types::ListAttachedRolePoliciesResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::IAM::Types::ListAttachedRolePoliciesResponse
- Defined in:
- gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb
Overview
Contains the response to a successful ListAttachedRolePolicies request.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#attached_policies ⇒ Array<Types::AttachedPolicy>
A list of the attached policies.
-
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return.
-
#marker ⇒ String
When
IsTruncatedistrue, this element is present and contains the value to use for theMarkerparameter in a subsequent pagination request.
Instance Attribute Details
#attached_policies ⇒ Array<Types::AttachedPolicy>
A list of the attached policies.
6002 6003 6004 6005 6006 6007 6008 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6002 class ListAttachedRolePoliciesResponse < Struct.new( :attached_policies, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return. If
your results were truncated, you can make a subsequent pagination
request using the Marker request parameter to retrieve more items.
Note that IAM might return fewer than the MaxItems number of
results even when there are more results available. We recommend
that you check IsTruncated after every call to ensure that you
receive all your results.
6002 6003 6004 6005 6006 6007 6008 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6002 class ListAttachedRolePoliciesResponse < Struct.new( :attached_policies, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#marker ⇒ String
When IsTruncated is true, this element is present and contains
the value to use for the Marker parameter in a subsequent
pagination request.
6002 6003 6004 6005 6006 6007 6008 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6002 class ListAttachedRolePoliciesResponse < Struct.new( :attached_policies, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |